#### D.5.5.11 BettiNumsN

Procedure from library `goettsche.lib` (see goettsche_lib).

Usage:
  BettiNumsN(q, m, n); q, m, n integers

Return:
  list of integers

Purpose:
  computes the Betti numbers of the moduli space
  of Kronecker modules N(q; m, n)

Note:
  if m and n are not coprime, the result does not necessary make sense

Example:

    LIB "goettsche.lib";
    ring r=0, (t), dp;
    // get the Betti numbers of N(3; 2, 3)
    print( BettiNumsN(3, 2, 3) );
    ==> [1]:
    ==>    1
    ==> [2]:
    ==>    0
    ==> [3]:
    ==>    1
    ==> [4]:
    ==>    0
    ==> [5]:
    ==>    3
    ==> [6]:
    ==>    0
    ==> [7]:
    ==>    3
    ==> [8]:
    ==>    0
    ==> [9]:
    ==>    3
    ==> [10]:
    ==>    0
    ==> [11]:
    ==>    1
    ==> [12]:
    ==>    0
    ==> [13]:
    ==>    1

User manual for Singular version 4.4.1, 2025, generated by texi2html.